# Terminal.Gui - Terminal UI toolkit for .NET

A simple UI toolkit for .NET, .NET Core, and Mono that works on Windows, the Mac, and Linux/Unix.

* [Terminal.Gui Project on GitHub](https://github.com/migueldeicaza/gui.cs)

## Terminal.Gui API Documentation

* [API Reference](~/api/Terminal.Gui/Terminal.Gui.yml)
* [Terminal.Gui API Overview](~/articles/overview.md)
* [Keyboard Event Processing](~/articles/keyboard.md)
* [Event Processing and the Application Main Loop](~/articles/mainloop.md)
* [TableView Deep Dive](~/articles/tableview.md)
* [TreeView Deep Dive](~/articles/treeview.md)

## UI Catalog

UI Catalog is a comprehensive sample library for Terminal.Gui. It provides a simple UI for adding to the catalog of scenarios.

* [UI Catalog API Reference](~/api/UICatalog/UICatalog.yml)
* [UI Catalog Source](https://github.com/migueldeicaza/gui.cs/tree/master/UICatalog)
